//--------------------------------------------------------------------
//  mii.c
//
//  Copyright (c) 2005 National Semiconductor Corporation.
//  All Rights Reserved.
//
//  QNX6 Network Device Driver for National Semiconductor
//  DP83816 "MacPhyter" 10/100 Ethernet Controller.
//
//  PHY entry points and support functions. Most of this gets
//  passed off to the MPL library.
//--------------------------------------------------------------------

#include <macphy.h>
#include <gulliver.h>		// endian operations

void
macphy_mii_sync(Nic_t *nic, int bits )
{
	int					iobase;
	Nic_Macphy_Ext_t   *ext;

	ext		= (Nic_Macphy_Ext_t *)nic->ext;
	iobase	= ext->iobase;
}

uint16_t
macphy_mii_read( Nic_t *nic, uint8_t phy_id, uint8_t location )
{
	int					iobase;
	Nic_Macphy_Ext_t	*ext;

	ext		= (Nic_Macphy_Ext_t *)nic->ext;
	iobase	= ext->iobase;
}

void
macphy_mii_write( Nic_t *nic, uint8_t phy_id, uint8_t location, uint16_t value )
{
}

void
macphy_linkup(Nic_t *nic, unsigned mode)
{
}


void
macphy_mii_callback( Nic_t *nic, uchar_t phy, uchar_t newstate )
{
}
int
macphy_init_phy(Nic_t *nic)
{
}
